Skip to main content
`Ctrl`+`K`

# MFNViewFromOptions

View (print) an `MFN` object based on values in the options database.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNViewFromOptions(MFN mfn,PetscObject obj,const char name[])

Collective

## Input Parameters

- mfn - the matrix function solver context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

MFN: Matrix Function, `MFNView()`, `MFNCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/mfn/interface/mfnbasic.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages